package cn.com.infosec.asn1.sec;

import cn.com.infosec.asn1.x9.X9ECParameters;
import cn.com.infosec.asn1.x9.X9ECParametersHolder;
import cn.com.infosec.math.ec.ECCurve;
import cn.com.infosec.math.ec.ECPoint;
import cn.com.infosec.util.encoders.Hex;
import java.math.BigInteger;

class SECNamedCurves$3 extends X9ECParametersHolder {
   protected X9ECParameters createParameters() {
      BigInteger var7 = SECNamedCurves.access$0("FFFFFFFDFFFFFFFFFFFFFFFFFFFFFFFF");
      BigInteger var1 = SECNamedCurves.access$0("FFFFFFFDFFFFFFFFFFFFFFFFFFFFFFFC");
      BigInteger var2 = SECNamedCurves.access$0("E87579C11079F43DD824993C2CEE5ED3");
      byte[] var3 = Hex.decode("000E0D4D696E6768756151750CC03A4473D03679");
      BigInteger var4 = SECNamedCurves.access$0("FFFFFFFE0000000075A30D1B9038A115");
      BigInteger var5 = BigInteger.valueOf(1L);
      ECCurve.Fp var6;
      ECCurve.Fp var10000 = var6 = new ECCurve.Fp;
      var10000.<init>(var7, var1, var2);
      ECPoint var8 = var10000.decodePoint(Hex.decode("04161FF7528B899B2D0C28607CA52C5B86CF5AC8395BAFEB13C02DA292DDED7A83"));
      return new X9ECParameters(var6, var8, var4, var5, var3);
   }
}
